package com.ss.android.ugc.aweme.speedpredictor.api;

import X.C21298Uu;
import X.C21308Uv;
import com.bytedance.covode.number.Covode;

public interface ISpeedCalculator {
    static {
        Covode.recordClassIndex(115485);
    }

    double LIZ();

    void LIZ(double d);

    void LIZ(int i);

    void LIZ(C21298Uu r1);

    void LIZ(C21308Uv r1);

    void LIZ(ISpeedCalculatorConfig iSpeedCalculatorConfig);

    double LIZIZ();

    int LIZJ();

    C21298Uu[] LIZLLL();

    void LJ();
}
